<?php
$vomses_dir = $pva_install_path . "/conf/vomses/";
printf("<p class=\"headp\">%s</p>\n", $voms_vo_list);
echo "<table>\n";
// Read external VOs
$external_vos_file = $vomses_dir ."/external";
if (file_exists($external_vos_file)) include($external_vos_file);

// Reading config files from predetermined directory and list all avaliable VOs
if ($dhandle = @opendir($vomses_dir)) {
	$vonamearr = array();
	while ( false !== ($file = readdir($dhandle))) {
		if( ! is_readable( $vomses_dir . $file ) ) continue;
		if(substr($file, -5) != ".conf") continue;
		$vonamearr[] = substr($file, 0, -5);
	}
	closedir($dhandle);
	if ( empty($vonamearr) ) echo $voms_no_vo_served; else {
		sort($vonamearr);
		$odd = 0;
		foreach($vonamearr as $vonamekey => $voname) {
			doOddtrtd($odd);
			// print VO description
			unset($GLOBALS['vo_description']); unset($GLOBALS['vo_mainurl']); unset($GLOBALS['replication_interval']);
			include($vomses_dir . "/" . $voname . ".conf");
			require("sql.php");
			if ( ! getSettingFromDB() ) {
				createSettingTable();
			}
			$volink = "?vo=".$voname;
			if ( ! isset($vo_description) ) $vo_description = "";
			if ( ! isset($vo_mainurl) ) $vo_mainurl = "";
			if ( ! isset($replication_interval) ) $replication_interval = 30;
			$vo_home_link = "";
			$vo_replicas_links = "";
			$ext_link = "";

			if ( $vo_mainurl !== "" ) {
				$vo_home_link  = "&nbsp;<a onclick='window.open(this.href); return false'";
				$vo_home_link .= sprintf(" href=\"%s\">",$vo_mainurl);
				$vo_home_link .= "<img style=\"border: 0px; witdh: 11px; height: 10px;\"";
				$vo_home_link .= sprintf(" src=\"pics/home.gif\" alt=\"home\" title=\"%s\"></img></a>", 
					$voms_vo_home_title);
			}
			
			$updators_arr = get_authorized_updators(2);
			if ($updators_arr) foreach ( $updators_arr as $upd ) {
				$active_sync = check_lastsync_time($upd['sync_diff'], $replication_interval);
				if ( $active_sync ) $sync_pic = "sync.gif"; else $sync_pic = "sync_grey.gif";
				
				if ( $active_sync ) 
					$repl_link  = "&nbsp;<a onclick='window.open(this.href); return false'";
				else $repl_link  = "&nbsp;<a onclick='return false'";
				$repl_link .= sprintf(" href=\"https://%s/voms/%s\">",$upd['endpoint'],$voname);
				$repl_link .= "<img style=\"border: 0px; witdh: 11px; height: 10px;\"";
				$repl_link .= sprintf(" src=\"pics/%s\" alt=\"sync\" title=\"%s\"></img></a>",
					$sync_pic, $voms_vo_sync_title);
				$vo_replicas_links .= $repl_link;
			}
			
        		if ( ! empty($external_vos) ) if ( isset($external_vos[$voname]) ) {
				$ext_link  = "&nbsp;<a onclick='window.open(this.href); return false'";
				$ext_link .= sprintf(" href=\"%s\">",$external_vos[$voname]['vomsurl']);
				$ext_link .= "<img style=\"border: 0px; witdh: 10px; height: 10px;\"";
				$ext_link .= sprintf(" src=\"pics/external.png\" alt=\"external\" title=\"%s\"></img></a>",
					$voms_vo_ext_title);
				$external_vos[$voname]['linked'] = true;
			}

			printf("<a href=\"%s\">%s</a></td><td> %s%s%s%s</td>\n</tr>\n",
				$volink,$voname,$vo_description,$vo_home_link,$vo_replicas_links,$ext_link);
		}
	}
} else {
	printf("<p class=\"error\" >%s<p>\n",$voms_confdir_failed);
}
echo "</table>\n";

// List external VOs
if ( ! empty($external_vos) ) {
	// form externals table content
	$external_html = "";
	$odd = 0;
	foreach($external_vos as $external_vo_name => $external_vo) {
		if ( isset($external_vo['linked']) ) continue;
		if ( $odd == 1 ) {
                        $external_html .= sprintf("<tr class=\"trodd\">\n<td style=\"width:%spx;\">","250");
                        $odd = 0;
                } else {
                        $external_html .= sprintf("<tr>\n<td style=\"width:%spx;\">","250");
                        $odd = 1;
                }
		$external_html .= sprintf("<a href=\"%s\">%s</a></td><td>%s%s</td>\n</tr>\n",
			$external_vo["vomsurl"], $external_vo_name,
			isset($external_vo["description"])?$external_vo["description"]:"",
			isset($external_vo["mainurl"])?sprintf("&nbsp;<a onclick='window.open(this.href); return false' href=\"%s\"><img style=\"border: 0px; witdh: 10px; height: 10px;\" src=\"pics/home.gif\" alt=\"VO Home page\"></img></a>", $external_vo["mainurl"]):"");
	}
	if ( $external_html ) {
		echo "<div style=\"height: 80px\"></div>\n";
		printf("<p class=\"headp\">%s</p>\n",$voms_extenal_vo_list);
		echo "<table>\n";
		echo $external_html;
		echo "</table>\n";
	}
}
?>
